## org.eclipse.datatools.modelbase.sql.query
Interface SuperGroupElementSublist

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject, SuperGroupElement

    public interface SuperGroupElementSublist

extends SuperGroupElement

A representation of the model object 'SQL Super Group Element Sublist'.

The following features are supported:

- `Super Group Element Expr List`

See Also:
  `SQLQueryModelPackage.getSuperGroupElementSublist()`

Method Summary
`org.eclipse.emf.common.util.EList` `getSuperGroupElementExprList()` Returns the value of the 'Super Group Element Expr List' containment reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SuperGroupElement
`getSuperGroup, setSuperGroup`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSuperGroupElementExprList

    org.eclipse.emf.common.util.EList getSuperGroupElementExprList()

  Returns the value of the 'Super Group Element Expr List' containment reference list. The list contents are of type `SuperGroupElementExpression`. It is bidirectional and its opposite is '`Super Group Element Sublist`'.

  If the meaning of the 'Super Group Element Expr List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Super Group Element Expr List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getSuperGroupElementSublist_SuperGroupElementExprList()`, `SuperGroupElementExpression.getSuperGroupElementSublist()`